Project

General

Profile

Bug #4072

Unsupported major.minor version 51.0

Added by Alexander Kamkin almost 8 years ago. Updated over 7 years ago.

Status:
Closed
Priority:
Normal
Category:
-
Target version:
Start date:
04/04/2013
Due date:
% Done:

100%

Estimated time:
Detected in build:
svn
Platform:
Published in build:
0.2

Description

Running my code causes the following exception:

Exception in thread "main" java.lang.UnsupportedClassVersionError: ru/ispras/solver/core/syntax/EStandardOperation : Unsupported major.minor version 51.0

The thing is that I'm using the old JRE:

java version "1.6.0_07" 
Java(TM) SE Runtime Environment (build 1.6.0_07-b06)
Java HotSpot(TM) Server VM (build 10.0-b23, mixed mode)

The recommendation is to upload jars compiled by an elder javac.

History

#1

Updated by Alexander Kamkin almost 8 years ago

  • Target version set to 0.1
#2

Updated by Sergey Smolov almost 8 years ago

  • Status changed from New to Resolved
  • Assignee changed from Sergey Smolov to Alexander Kamkin

Перезалил билд, собранный с использованием следующего компилятора:

javac 1.6.0_27

#3

Updated by Sergey Smolov over 7 years ago

  • % Done changed from 0 to 100
  • Published in build set to 0.2
#4

Updated by Sergey Smolov over 7 years ago

  • Status changed from Resolved to Closed

Also available in: Atom PDF